## MacPorts-2.2.0-rc1.tar.bz2

=== tests/test/case-insensitive-deactivate/Makefile ===
include ../../../Mk/macports.autoconf.mk

# see test-macports.conf for the value of prefix
TESTFILE=/tmp/macports-tests/opt/local/var/test/case
TESTPORT1=casesensitive
TESTPORT2=CaseSensitivE

.PHONY: test

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@echo port install $(TESTPORT1)
	@sed 's/@name@/$(TESTPORT1)/' Portfile.in > Portfile
	@PORTSRC=$(PORTSRC) $(bindir)/port install > output 2>&1 || (cat output; exit 1)
	@if [ ! -f $(TESTFILE) ]; then \
		echo "FAILED: File should exist after install: $(TESTFILE)" && exit 1; \
	fi
	@echo port uninstall $(TESTPORT2)
	@sed 's/@name@/$(TESTPORT2)/' Portfile.in > Portfile
	@PORTSRC=$(PORTSRC) $(bindir)/port uninstall > output 2>&1 || (cat output; exit 1)
	@if [ -f $(TESTFILE) ]; then \
		rm $(TESTFILE); \
		echo "FAILED: File should NOT exist after uninstall: $(TESTFILE)" && exit 1; \
	else \
		echo "SUCCESS!"; \
	fi
	rm Portfile
	rm output

=== tests/test/statefile-unknown-version/Makefile ===
include ../../../Mk/macports.autoconf.mk

.PHONY: test

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@PORTSRC=$(PORTSRC) $(bindir)/port configure >/dev/null 2>&1
	@cp statefile work/.macports.statefile-unknown-version.state
	@PORTSRC=$(PORTSRC) $(bindir)/port destroot >output 2>&1 || (cat output; exit 1)
	@diff -u master output || (echo "statfile version 3 was accepted, although it shouldn't (this is a hacky test, which might also fail if you change the number of pahses)"; exit 1)
	@PORTSRC=$(PORTSRC) $(bindir)/port clean >/dev/null 2>&1
	@rm output

=== tests/test/statefile-version2-invalid/Makefile ===
include ../../../Mk/macports.autoconf.mk

.PHONY: test

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@PORTSRC=$(PORTSRC) $(bindir)/port configure >/dev/null 2>&1
	@cp statefile work/.macports.statefile-version2-invalid.state
	@PORTSRC=$(PORTSRC) $(bindir)/port destroot >output 2>&1 || (cat output; exit 1)
	@diff -u master output || (echo "statefile version 2 without checksum field didn't cause a warning"; exit 1)
	@PORTSRC=$(PORTSRC) $(bindir)/port clean >/dev/null 2>&1
	@rm output

=== tests/test/dependencies-b/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		dependencies-b
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
# testing consists in processing dependencies
}

=== tests/test/dependencies-d/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		dependencies-d
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

# Check that macports doesn't chunk on this junk.
# This might mean this port depends on port dependencies-a without variant
# i_want_b (which is a default variant).
depends_lib	port:-i_want_b:dependencies-a

# Check that macports doesn't chunk on this junk, but just generates a warning.
depends {configure {dependencies-a +i_want_b >= 1}}

test {
# testing consists in processing dependencies
}

=== tests/test/universal-2/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		universal-2
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for universal variant
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test		{}

universal_variant	no
